Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

USB superspeed peripherals Forum Discussions

FaAl_910716
Level 1
Level 1

pastedImage_0.png

你好,由于我的芯片固件版本比较老,是1.0.3.78,我看DVK上的fw版本号是1.0.10.2,请提供更新用的fw文件,谢谢!

pastedImage_1.png

另外,我更新fw使用的命令为:

fwdownload.exe -c default_CY7C65215-32LTXI.cyusb -vid 0x04B4 -pid 0x0007 -mode vendor -sn 0001 -timeout 25000

请帮忙确认一下是否正确和完整,fwdownload.exe文件如果有相应的更新版本,也请一并提供一下,谢谢!!

0 Likes
1 Solution
YiZ_31
Moderator
Moderator
Moderator
1000 replies posted 750 replies posted 500 replies posted

CY7C65215如需更新固件需要使用SWD接口,但是这个programming spec以及hex不对一般客户开放。

View solution in original post

0 Likes
6 Replies
YiZ_31
Moderator
Moderator
Moderator
1000 replies posted 750 replies posted 500 replies posted

您好,

CY7C65215不支持通过USB更新固件,仅支持修改config.

Regards,
Eddie

0 Likes

这颗料是从digikey订购的,质量应该没问题。

你的意思是,没救了,只能换器件是么?

0 Likes
YiZ_31
Moderator
Moderator
Moderator
1000 replies posted 750 replies posted 500 replies posted

你的出厂固件使用上有什么问题吗?为什么说没救了?

0 Likes

1.0.3.78这个版本,在通过EZ-USB Suite Debug的时候,跑不下去,一直收到timeout waiting for SYSCOMP & DBGACK,然后就停止了,无法进行Debug。

pastedImage_0.png

左边是开发套件正常的状况,右边是65215老fw的状况;

后来我把开发套件上的器件换到板子上,就一切正常了。

0 Likes
YiZ_31
Moderator
Moderator
Moderator
1000 replies posted 750 replies posted 500 replies posted

CY7C65215如需更新固件需要使用SWD接口,但是这个programming spec以及hex不对一般客户开放。

0 Likes

只能换器件了

0 Likes